netatalk 4.4.3
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
Error.c File Reference
`#include <atalk/afp_util.h>`
`#include "afpcmd.h"`
`#include "afphelper.h"`
`#include "testhelper.h"`

## Functions
STATIC void | test35 ()
STATIC void | test36 ()
STATIC void | test37 ()
static void | cname_test (char *name)
STATIC void | test95 ()
STATIC void | test99 ()
STATIC void | test100 ()
STATIC void | test101 ()
static void | test_comment (uint16_t vol, int dir, char *name)
STATIC void | test102 ()
STATIC void | test103 ()
STATIC void | test105 ()
STATIC void | test170 ()
STATIC void | test171 ()
STATIC void | test173 ()
STATIC void | test174 ()
void | Error_test ()

## Variables
static unsigned char | afp_cmd_with_vol []
static unsigned char | afp_cmd_with_vol_did []
static unsigned char | afp_cmd_with_vol_did1 []

## Function Documentation

## ◆ cname_test()

void cname_test | ( | char * | name | ) |
| static

## ◆ Error_test()

void Error_test | ( |  | ) |

## ◆ test100()

STATIC void test100 | ( |  | ) |

## ◆ test101()

STATIC void test101 | ( |  | ) |

## ◆ test102()

STATIC void test102 | ( |  | ) |

## ◆ test103()

STATIC void test103 | ( |  | ) |

## ◆ test105()

STATIC void test105 | ( |  | ) |

## ◆ test170()

STATIC void test170 | ( |  | ) |

## ◆ test171()

STATIC void test171 | ( |  | ) |

## ◆ test173()

STATIC void test173 | ( |  | ) |

## ◆ test174()

STATIC void test174 | ( |  | ) |

## ◆ test35()

STATIC void test35 | ( |  | ) |

## ◆ test36()

STATIC void test36 | ( |  | ) |

## ◆ test37()

STATIC void test37 | ( |  | ) |

## ◆ test95()

STATIC void test95 | ( |  | ) |

## ◆ test99()

STATIC void test99 | ( |  | ) |

## ◆ test_comment()

void test_comment | ( | uint16_t | vol,
|  | int | dir,
|  | char * | name )
| static

## Variable Documentation

## ◆ afp_cmd_with_vol

unsigned char afp_cmd_with_vol[]
| static

## ◆ afp_cmd_with_vol_did

unsigned char afp_cmd_with_vol_did[]
| static

Initial value:
= {
AFP_COPYFILE,
AFP_CREATEDIR,
AFP_CREATEFILE,
AFP_DELETE,
AFP_OPENDIR,
AFP_OPENFORK,
AFP_RENAME,
AFP_SETDIRPARAM,
AFP_SETFILEPARAM,
AFP_GETFLDRPARAM,
AFP_SETFLDRPARAM,
AFP_ADDAPPL,
AFP_RMVAPPL,
AFP_ADDCMT,
AFP_RMVCMT,
AFP_GETCMT,
}
AFP_COPYFILE
#define AFP_COPYFILE
Definition afp.h:133
AFP_RENAME
#define AFP_RENAME
Definition afp.h:155
AFP_OPENDIR
#define AFP_OPENDIR
Definition afp.h:152
AFP_SETFLDRPARAM
#define AFP_SETFLDRPARAM
Definition afp.h:162
AFP_SETDIRPARAM
#define AFP_SETDIRPARAM
Definition afp.h:156
AFP_DELETE
#define AFP_DELETE
Definition afp.h:136
AFP_CREATEFILE
#define AFP_CREATEFILE
Definition afp.h:135
AFP_CREATEDIR
#define AFP_CREATEDIR
Definition afp.h:134
AFP_GETCMT
#define AFP_GETCMT
Definition afp.h:183
AFP_RMVAPPL
#define AFP_RMVAPPL
Definition afp.h:178
AFP_ADDAPPL
#define AFP_ADDAPPL
Definition afp.h:177
AFP_OPENFORK
#define AFP_OPENFORK
Definition afp.h:153
AFP_ADDCMT
#define AFP_ADDCMT
Definition afp.h:181
AFP_RMVCMT
#define AFP_RMVCMT
Definition afp.h:182
AFP_GETFLDRPARAM
#define AFP_GETFLDRPARAM
Definition afp.h:161
AFP_SETFILEPARAM
#define AFP_SETFILEPARAM
Definition afp.h:157

## ◆ afp_cmd_with_vol_did1

unsigned char afp_cmd_with_vol_did1[]
| static

Initial value:
= {
AFP_MOVE,
AFP_CREATEID,
AFP_EXCHANGEFILE,
}
AFP_CREATEID
#define AFP_CREATEID
Definition afp.h:166
AFP_EXCHANGEFILE
#define AFP_EXCHANGEFILE
Definition afp.h:169
AFP_MOVE
#define AFP_MOVE
Definition afp.h:150